<?php
/**
 * @package		
 * @copyright		Copyright (C) 2012 CNPINTEGRATIONS.COM. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die;

jimport('joomla.filesystem.file');
jimport('joomla.plugin.plugin');

class plgSystemEditorChange extends JPlugin
{
	const EXT = 'editorchange';
	
	public function onAfterInitialise() {
		$helper = JPATH_SITE . '/administrator/modules/mod_' . self::EXT . '/helper.php';
		if (!JFile::exists($helper)) return;
		include_once $helper;
		$task = JRequest::getWord('task', '');
		switch ($task) {
			case 'switch':
				$set = modEditorChangeHelper::setEditor();
				jexit();
				break;
			default: return;
		}
	}
}
