<?php
/**
 * @package		
 * @copyright		Copyright (C) 2012 CNPINTEGRATIONS.COM. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die;

JFactory::getLanguage()->load('mod_switcheditor.sys', JPATH_ADMINISTRATOR);

//require_once dirname(__FILE__) . '\helper.php';
include_once 'helper.php';

if (modEditorChangeHelper::isPluginEnabled()) {
	$options = modEditorChangeHelper::getEditorOptions();
	$value   = JFactory::getUser()->getParam('editor');
	$path = JModuleHelper::getLayoutPath('mod_editorchange', $params->get('layout', 'default'));

	if (JFile::exists($path)) {
		JHtml::_('behavior.framework', true);
		$doc = JFactory::getDocument();
		$doc->addScript('./modules/mod_editorchange/media/js/editorchange.js');
		$doc->addStyleSheet('./modules/mod_editorchange/media/css/editorchange.css');
		require $path;
	}
}
